Skip to main content
GET
Prefer the terminal? This endpoint is also a command in the Particle CLI: pick Particle CLI in the request example’s language menu. Install the Particle CLI.

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

episode_id
string

Filter to a specific episode by slug or ID. At least one of episode_id, podcast_id, or type is required.

podcast_id
string

Podcast slug (e.g., 'all-in'), internal ID, or numeric iTunes ID. At least one of episode_id, podcast_id, or type is required.

type
enum<string>

Segment type filter, case-insensitive: INTRO, PERSONAL_BANTER, TOPIC_DISCUSSION, INTERVIEW, TRANSITION, AD, OUTRO. At least one of episode_id, podcast_id, or type is required.

Available options:
INTRO,
PERSONAL_BANTER,
TOPIC_DISCUSSION,
INTERVIEW,
TRANSITION,
AD,
OUTRO
since
string

Only include segments from episodes published on or after this ISO 8601 date or date-time

Example:

"2025-01-01T00:00:00Z"

until
string

Only include segments from episodes published before this ISO 8601 date or date-time

Example:

"2026-01-01T00:00:00Z"

Response

OK

data
object[]
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results